import { ClientThreadOrganizationShape, Connection } from '@adminide-stack/extension-api';
import { UriComponents } from '@vscode-alt/monaco-editor/esm/vs/base/common/uri';
import { IOrganizationContextService } from '@adminide-stack/core';
export declare class ClientOrganization implements ClientThreadOrganizationShape {
    private readonly _contextService;
    private subscriptions;
    private proxy;
    constructor(connection: Connection, _contextService: IOrganizationContextService);
    $checkExists(includes: string[]): Promise<boolean>;
    $saveAll(includeUntitled?: boolean): Promise<boolean>;
    $updateOrganizationResources(extensionName: string, index: number, deleteCount: number, resourcesToAdd: {
        uri: UriComponents;
        name?: string;
    }[]): Promise<void>;
    $resolveProxy(url: string): Promise<string>;
    private getOrganizationData;
    unsubscribe(): void;
}
